package org.jboss.test.webservice.jbws643;

import org.jboss.logging.Logger;

public class ResearchServiceImpl implements ResearchService
{
   private Logger log = Logger.getLogger(ResearchServiceImpl.class);

   public GetKeywordsBySubphraseResponse getKeywordsBySubphrase(GetKeywordsBySubphraseRequest getKeywordsBySubphraseRequest)
   {
      GetKeywordsBySubphraseResponse retObj = null;
      return retObj;
   }

   public GetKeywordStatisticsResponse getKeywordStatistics(GetKeywordStatisticsRequest getKeywordStatisticsRequest)
   {
      log.debug("getKeywordStatistics: " + getKeywordStatisticsRequest);
      
      KeywordDetailType kdt1 = new KeywordDetailType();
      kdt1.setSearches(new Long(1));
      KeywordDetailType kdt2 = new KeywordDetailType();
      kdt2.setSearches(new Long(2));
      GetKeywordStatisticsResponse retObj = new GetKeywordStatisticsResponse(new KeywordDetailType[] { kdt1, kdt2 });
      return retObj;
   }

   public GetKeywordMonthlyReportResponse getKeywordMonthlyReport(GetKeywordMonthlyReportRequest getKeywordMonthlyReportRequest)
   {
      GetKeywordMonthlyReportResponse retObj = null;
      return retObj;
   }

   public GetCanonicalizationResponse getCanonicalization(GetCanonicalizationRequest getCanonicalizationRequest)
   {
      GetCanonicalizationResponse retObj = null;
      return retObj;
   }
}
